{
    "dns": {
      "servers": [
        {
          "tag": "dns_proxy",
          "address": "tcp://1.1.1.1",
          "address_resolver": "dns_resolver",
          "strategy": "ipv4_only",
          "detour": "🚀 节点选择"
        },
        {
          "tag": "dns_direct",
          "address": "https://dns.alidns.com/dns-query",
          "address_resolver": "dns_resolver",
          "strategy": "ipv4_only",
          "detour": "DIRECT"
        },
        {
          "tag": "dns_resolver",
          "address": "223.5.5.5",
          "detour": "DIRECT"
        },
        {
          "tag": "dns_success",
          "address": "rcode://success"
        },
        {
          "tag": "dns_refused",
          "address": "rcode://refused"
        },
        {
          "tag": "dns_fakeip",
          "address": "fakeip"
        }
      ],
      "rules": [
        {
          "outbound": "any",
          "server": "dns_resolver"
        },
        {
          "rule_set": "geolocation-!cn",
          "query_type": [
            "A",
            "AAAA"
          ],
          "server": "dns_fakeip"
        },
        {
          "rule_set": "geolocation-!cn",
          "query_type": [
            "CNAME"
          ],
          "server": "dns_proxy"
        },
        {
          "query_type": [
            "A",
            "AAAA",
            "CNAME"
          ],
          "invert": true,
          "server": "dns_refused",
          "disable_cache": true
        }
      ],
      "final": "dns_direct",
      "independent_cache": true,
      "fakeip": {
        "enabled": true,
        "inet4_range": "198.18.0.0/15",
        "inet6_range": "fc00::/18"
      }
    },
    "ntp": {
      "enabled": true,
      "server": "time.apple.com",
      "server_port": 123,
      "interval": "30m",
      "detour": "DIRECT"
    },
    "inbounds": [
      {
        "type": "mixed",
        "tag": "mixed-in",
        "listen": "0.0.0.0",
        "listen_port": 2080
      },
      {
        "type": "tun",
        "tag": "tun-in",
        "address": "172.19.0.1/30",
        "auto_route": true,
        "strict_route": true,
        "stack": "mixed",
        "sniff": true
      }
    ],
    "outbounds": [
      {
        "type": "selector",
        "tag": "🚀 节点选择",
        "outbounds": [
          "DIRECT",
          "REJECT",
          "⚡ 自动选择",
          "TUICNODEUS",
          "TUICNODESG"
        ]
      },
      {
        "type": "urltest",
        "tag": "⚡ 自动选择",
        "outbounds": [
          "TUICNODEUS",
          "TUICNODESG"
        ]
      },
      {
        "type": "direct",
        "tag": "DIRECT"
      },
      {
        "type": "block",
        "tag": "REJECT"
      },
      {
        "type": "dns",
        "tag": "dns-out"
      },
      {
        "tag": "TUICNODEUS",
        "type": "tuic",
        "server": "usnode1.xorbit.link",
        "server_port": 8444,
        "uuid": "1DDD6055-BC88-4086-A24A-B97324ADF140",
        "password": "ckdoacnioemskiwn",
        "congestion_control": "bbr",
        "tls": {
          "enabled": true,
          "server_name": "usnode1.xorbit.link",
          "alpn": [
            "h3"
          ]
        }
      },
      {
        "tag": "TUICNODESG",
        "type": "tuic",
        "server": "mainnode.xorbit.link",
        "server_port": 443,
        "uuid": "1DDD6055-BC88-4086-A24A-B97324ADF140",
        "password": "ckdoacnioemskiwn",
        "congestion_control": "bbr",
        "tls": {
          "enabled": true,
          "server_name": "mainnode.xorbit.link",
          "alpn": [
            "h3"
          ]
        }
      },
      {
        "type": "selector",
        "tag": "🏠 私有网络",
        "outbounds": [
          "🚀 节点选择",
          "DIRECT",
          "REJECT",
          "⚡ 自动选择",
          "TUICNODEUS",
          "TUICNODESG"
        ]
      },
      {
        "type": "selector",
        "tag": "🔒 国内服务",
        "outbounds": [
          "🚀 节点选择",
          "DIRECT",
          "REJECT",
          "⚡ 自动选择",
          "TUICNODEUS",
          "TUICNODESG"
        ]
      },
      {
        "type": "selector",
        "tag": "🌐 非中国",
        "outbounds": [
          "🚀 节点选择",
          "DIRECT",
          "REJECT",
          "⚡ 自动选择",
          "TUICNODEUS",
          "TUICNODESG"
        ]
      },
      {
        "type": "selector",
        "tag": "🐟 漏网之鱼",
        "outbounds": [
          "🚀 节点选择",
          "DIRECT",
          "REJECT",
          "⚡ 自动选择",
          "TUICNODEUS",
          "TUICNODESG"
        ]
      }
    ],
    "route": {
      "rule_set": [
        {
          "tag": "geolocation-cn",
          "type": "remote",
          "format": "binary",
          "url": "https://gh.sageer.me/https://raw.githubusercontent.com/lyc8503/sing-box-rules/refs/heads/rule-set-geosite/geosite-geolocation-cn.srs"
        },
        {
          "tag": "geolocation-!cn",
          "type": "remote",
          "format": "binary",
          "url": "https://gh.sageer.me/https://raw.githubusercontent.com/lyc8503/sing-box-rules/refs/heads/rule-set-geosite/geosite-geolocation-!cn.srs"
        },
        {
          "tag": "private-ip",
          "type": "remote",
          "format": "binary",
          "url": "https://gh.sageer.me/https://raw.githubusercontent.com/lyc8503/sing-box-rules/refs/heads/rule-set-geoip/geoip-private.srs"
        },
        {
          "tag": "cn-ip",
          "type": "remote",
          "format": "binary",
          "url": "https://gh.sageer.me/https://raw.githubusercontent.com/lyc8503/sing-box-rules/refs/heads/rule-set-geoip/geoip-cn.srs"
        }
      ],
      "rules": [
        {
          "protocol": "dns",
          "outbound": "dns-out"
        },
        {
          "clash_mode": "direct",
          "outbound": "DIRECT"
        },
        {
          "clash_mode": "global",
          "outbound": "🚀 节点选择"
        },
        {
          "rule_set": [
            "geolocation-cn"
          ],
          "outbound": "🔒 国内服务"
        },
        {
          "rule_set": [
            "geolocation-!cn"
          ],
          "outbound": "🌐 非中国"
        },
        {
          "rule_set": [
            "private-ip"
          ],
          "outbound": "🏠 私有网络"
        },
        {
          "rule_set": [
            "cn-ip"
          ],
          "outbound": "🔒 国内服务"
        }
      ],
      "auto_detect_interface": true,
      "final": "🐟 漏网之鱼"
    },
    "experimental": {
      "cache_file": {
        "enabled": true,
        "store_fakeip": true
      }
    }
  }